ServerEvents.recipes(event => {
	event.remove({output: 'vintageimprovements:laser_item'})
	event.remove({output: 'vintageimprovements:copper_sulfate'})
	event.remove({output: 'mekanism:laser'})
	event.shaped(
  Item.of('mekanism:laser', 1), // arg 1: output
  [
    'AB ',
    'ACD', // arg 2: the shape (array of strings)
    'AB '
  ],
  {
    A: 'mekanism:alloy_reinforced',
    B: 'mekanism:energy_tablet',
	C: 'mekanism:steel_casing',
	D: 'vintageimprovements:laser_item'
  })
	event.recipes.create.mechanical_crafting('vintageimprovements:laser_item', [
    ' F ',
    'ADA',
    'ACA',
    ' B '
  ], {
	A: '#forge:plates/copper',
	B: 'minecraft:glowstone',
	C: 'create:electron_tube',
    D: 'bfr:laser_focus_matrix',
	F: 'minecraft:diamond'
  })
})